
Figure - Bug #116555
【BSP】【EVT3】【ST】【Tlog】tlog_package 超过100个package后，删除不是按照最早的一个进行删除，删除
逻辑不正确
2023-02-25 18:02 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-02-25

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: Found Version: 0077

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-03-22

Test Type: ST Root cause: 压缩包删除逻辑问题

Description

【前提条件】

None

【测试步骤】

1. 每次执行adb reboot 压测，使超过100个tlog_package包

2. *#147#，勾选Android log

3. 点击start 然后点击stop

4. 查看tlog

【预期结果】

4 tlog能抓取到开机后的所有日志，超出100个后，开始删除最老的文件

【实际结果】

4 tlog_package路径下，删除不是按照最老的一个进行

History

#1 - 2023-02-27 11:16 - 移动测试一组_CDTS 刘强

- Category changed from BSP to SYSTEM

#2 - 2023-03-08 11:45 - CD SYSTEM-夏旭

- Status changed from New to ASSIGNED

- % Done changed from 0 to 30

- Need_Info deleted (--)

开机次数是根据tsnv来获取的，文件序号是一直累加的

现在看截图是都是乱序的，怀疑是和压测跑的脚本有关系，

tlog打包的脚本压缩文件需要一定时间，如果还没有打包完成就重启就会出现这个问题

查看压缩包的发现相邻的压缩包的log文件有缺失，应该压缩包删除逻辑的问题，解决中

#3 - 2023-03-17 19:33 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

187800 general/platform/vendor/thundercom
Pre_figure_turbox-c2130c-la1.1-qssi12 xu.xia@thundersoft.com



m/apps/LogSystem -dev

system:log: modify tlog package delete logic1. modify tlog package delete logic2. modify tlog package time3. modify boot time max is 999999TC-RID:

1201-0201102IssueID: TS-R-DF-116555Change-Id: Ib13320df6993295aeda02d7daee27e005177d5e0

#4 - 2023-03-17 19:47 - CD SYSTEM-夏旭

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- % Done changed from 30 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-17

- Root cause set to 压缩包删除逻辑问题

■ Current conclusion

已处理。tlog压缩包删除正常

■ My analysis

压缩包删除逻辑问题

■ Next action 

测试验证

#5 - 2023-03-22 11:23 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from 移动测试一组_CDTS 刘强 to CD SYSTEM-夏旭

验证失败：0319的db，仍有排序问题

#6 - 2023-03-22 16:56 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

188690 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xu.xia@thundersoft.com

Revert system:log: modify tlog package delete logicThis reverts commit 981e10928b7a27b2123344f5df5a7a8016dd0b14.Reason for revert: Incomplete

considerations, need to be reversedTC-RID: 1201-0201102IssueID: TS-R-DF-116555Change-Id: Ie95b674a5d3daad61199fa1a6c777489de593264
#7 - 2023-03-22 16:57 - CD SYSTEM-夏旭

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- Fixed Version changed from 2023-03-17 to 2023-03-22

■ Current conclusion

已处理。tlog压缩包删除正常

■ My analysis

压缩包删除逻辑问题

■ Next action

测试验证

具体验证步骤：

目前有两个删除逻辑

1. 压缩包序号没有9999

可以直接跑重启的脚本验证，看删除的逻辑是否正常

2. 压缩包序号到达9999之后，会变成0

因为要生成9999个压缩包不好验证，可以手动产生压缩包9900到9999，重启看对应的序号是否删除

#8 - 2023-03-27 16:21 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：01.00_20230324_private_user

验证结果：2分钟reboot一次，删除以开机次数统计

#9 - 2023-03-27 16:21 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
